import { dateFormatter } from '@/utils/formatTime'

// 表单校验
export const rules = reactive({
  username: [required],
  password: [required]
})

// CrudSchema：https://doc.iocoder.cn/vue3/crud-schema/
const crudSchemas = reactive([
  {
    label: '本次跟进时间',
    field: 'createTime',
    formatter: dateFormatter,
    form: {
      component: 'DatePicker',
      componentProps: {
        type: 'datetime',
        format: 'YYYY-MM-DD HH:mm',
        valueFormat: 'YYYY-MM-DD HH:mm',
        placeholder: '本次跟进时间'
      }
    }
  },
  {
    label: '下次跟进时间',
    field: 'nextTime',
    isForm: true,
    formatter: dateFormatter,
    detail: {
      dateFormat: 'YYYY-MM-DD HH:mm'
    },
    form: {
      component: 'DatePicker',
      componentProps: {
        type: 'datetime',
        format: 'YYYY-MM-DD HH:mm',
        valueFormat: 'YYYY-MM-DD HH:mm',
        placeholder: '下次跟进时间'
      }
    }
  },
  {
    label: '跟进内容',
    field: 'remark',
    isTable: true,
    form: {
      component: 'Input',
      componentProps: {
        type: 'textarea',
        autosize: { minRows: 5, maxRows: 10 }
      },
      colProps: {
        span: 24
      }
    }
  }
])
export const { allSchemas } = useCrudSchemas(crudSchemas)
